ubuntuone-client-applet fails to start

Bug #369230 reported by Jonathan Riddell on 2009-04-29
62
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
High
Rodney Dawes

Bug Description

I installed ubuntuone-client and started it from the k-menu, it broke.

>ubuntuone-client-applet --signup
Traceback (most recent call last):
  File "/var/lib/python-support/python2.6/dbus/connection.py", line 581, in msg_reply_handler
    *message.get_args_list()))
TypeError: handler() takes no arguments (1 given)

Kubuntu Jaunty 9.04.

Related branches

Rick McBride (rmcbride) wrote :

We're going to have some interesting scenarios with *ubuntu. Reassign as needed.

Changed in ubuntuone-client:
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → High
milestone: none → later
status: New → Triaged
Rick McBride (rmcbride) on 2009-05-11
visibility: private → public
Rodney Dawes (dobey) wrote :

Hi Jon. Is the dbus session bus not started by KDE, or failed to run for some reason? I wonder why this happened. Does it still fail with the latest version?

Stefan Skotte (screemo) wrote :

I too have the same error, with all latest updates (kubuntu jaunty)

Rasaks (asas) wrote :

The package »ubuntuone-client" could not be found.

Clay Weber (claydoh) wrote :

I am getting this same error as well

Kubuntu 9.04

Arthur Schiwon (blizzz) wrote :

Rasty: did you add the PPA and run apt-get update?

pablitofuerte (pablitofuerte) wrote :

Same problem on Ubuntu 9.04 updated; client-applet doesn't start

$ ubuntuone-client-applet --signup
Unhandled error in Deferred:
Traceback (most recent call last):
  File "/usr/lib/python2.6/threading.py", line 497, in __bootstrap
    self.__bootstrap_inner()
  File "/usr/lib/python2.6/threading.py", line 525, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.6/threading.py", line 477, in run
    self.__target(*self.__args, **self.__kwargs)
--- <exception caught here> ---
  File "/usr/lib/python2.6/dist-packages/twisted/python/threadpool.py", line 210, in _worker
    result = context.call(ctx, function, *args, **kwargs)
  File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line 59, in callWithContext
    return self.currentContext().callWithContext(ctx, func, *args, **kw)
  File "/usr/lib/python2.6/dist-packages/twisted/python/context.py", line 37, in callWithContext
    return func(*args,**kw)
  File "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/auth.py", line 342, in ensure_access_token
    store=True)
  File "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/auth.py", line 218, in acquire_access_token_if_online
    '/org/freedesktop/NetworkManager')
  File "/var/lib/python-support/python2.6/dbus/bus.py", line 244, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/var/lib/python-support/python2.6/dbus/proxies.py", line 241, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/var/lib/python-support/python2.6/dbus/bus.py", line 183, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/var/lib/python-support/python2.6/dbus/bus.py", line 281, in start_service_by_name
    'su', (bus_name, flags)))
  File "/var/lib/python-support/python2.6/dbus/connection.py", line 622, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files

I doesn't have NetworkManager installed. I use wicd instead, could it be related?

On Wed, 2009-05-13 at 11:44 +0000, pablitofuerte wrote:
> Same problem on Ubuntu 9.04 updated; client-applet doesn't start

> I doesn't have NetworkManager installed. I use wicd instead, could it be related?

This is a separate problem. We require NetworkManager's DBus interface
to know when the computer is on-line or not. We may support not using
NetworkManager in the future, but for now we only really support the
default setup, which is to use NetworkManager. I believe there may be
another bug about not working with NetworkManager, but I don't recall
the # for it off hand. You are welcome to subscribe to that bug, or file
another of your own, for this issue. Thanks for the feedback.

syvic (syvic) wrote :

The same error for me, and wicd instead nm installed...

John Lenton (chipaca) wrote :

On Wed, May 13, 2009 at 11:44:13AM -0000, pablitofuerte wrote:
> I doesn't have NetworkManager installed. I use wicd instead, could it be related?

This is a separate issue: #357395

John Lenton (chipaca) wrote :

On Wed, May 13, 2009 at 01:14:26PM -0000, syvic wrote:
> The same error for me, and wicd instead nm installed...

that's issue #357395

pablitofuerte (pablitofuerte) wrote :

Ok, copy.
Thank you very much Rodney for you clarification.
Greetings.

Rodney Dawes (dobey) on 2009-05-14
Changed in ubuntuone-client:
status: Triaged → In Progress
Terence Simpson (tsimpson) wrote :

I applied the patch from http://bazaar.launchpad.net/~dobey/ubuntuone-client/kde-dbus-fail/revision/8 to the current ubuntuone-client (0.90.0-0+r1370-0~9.04) and produced this output:
$ ubuntuone-client-applet --signup
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: cannot open shared objectfile: No such file or directory
Traceback (most recent call last):
  File "/var/lib/python-support/python2.6/dbus/connection.py", line 581, in msg_reply_handler
    *message.get_args_list()))
  File "/usr/bin/ubuntuone-client-applet", line 119, in errors
    raise error
dbus.exceptions.DBusException: org.freedesktop.DBus.Python.ImportError: Traceback (most recent call last):
  File "/var/lib/python-support/python2.6/dbus/service.py", line 702, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/main.py", line 230, in maybe_login
    self.processor.login(realm, consumer_key, do_login)
  File "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/main.py", line 83, in login
    from canonical.ubuntuone.oauthdesktop.auth import AuthorisationClient
  File "/usr/lib/python2.6/dist-packages/canonical/ubuntuone/oauthdesktop/auth.py", line 32, in <module>
    import gnomekeyring
ImportError: No module named gnomekeyring

Rodney Dawes (dobey) on 2009-05-22
Changed in ubuntuone-client:
status: In Progress → Fix Committed
Rodney Dawes (dobey) on 2009-06-05
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
themroc (rauchweihe) wrote :

After relogin, I get this error:
ubuntuone-client-applet --signup

** (ubuntuone-client-applet:4401): WARNING **: couldn't connect to daemon at DBus discovered socket: couldn't connect to daemon at DBus discovered socket: couldn't connect to daemon at DBus discovep
Segmentation fault

(kubuntu 9.04, amd64, ext4)

After waiting a while, I can start it by trying it several times.

ovoid (mail-cosmin) wrote :

Ubuntu-gnome: ubuntuone start, but do his own job, whatever that is. No icon, no windows, no stdout message.
I think it will be useful to interact with me in some way!

I wish I had some output to add to the information, but neither in in Kubuntu Maverick nor in Natty am I able to get ubuntuone to start. Although it is installed, it will not run from the K menu, krunner, nor Konsole.

I searched for a widget, but there was not one available. I need my Ubuntuone to sync up my Tomboy Notes between my laptop, netbook, and Tomdroid on my phone.

Although I never got the KDE client to work in Lucid, at least ubuntuone ran. Is there any hope?

themroc (rauchweihe) wrote :

"... Although it is installed, it will not run from the K menu, krunner, nor Konsole."

Yes the program from k menu has no effect in natty (in maverick it works for me), but ubuntuone-sync himself is running and working correct in natty and maverick on kubuntu.

But in natty on Kubuntu, you get a popup again, if something is change in the sync folder.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers